Subject: Reply to Dead Lord

From: Clay Luther <[email-masked]>
Date: Mon, 16 Mar 1992 09:32:32 -0800

Dead Lord (>) writes:
> 
> Perhaps someone can answer a few questions I have.  I've read over the Moo
> documentation and it seems to be an excellent system for designing a mud.
> So WHY is it that there is one Moo and a few hundred LPmuds, TinyM*, Diku-
> muds, UnterMuds?  I believe Moo is runtime a interpreted language, which would
> make it somewhat slow.  Are the other system compiled, speeding them up?
> Or is their some other techinical reason?  IS there in fact a better, faster
> or more flexible system for running a mud with?
> 
> Thank you
> [email-masked]
> 
> One more thing, what sort of system is LambdaMoo running on and how well does
> it treat the processor. Is the LambdaMoo a dedicated machine which is only
> running moo?

Well, the Moo is closer to LP (and diku, I assume) than it is to the Tinies
(except for the newer tinies like Muck.)

I suspect the only reason you don't see any Moos is that they are daftly hard
to build.

For example, I could set up a LP mud today and people could connect to it and
play.  Now, this would be a basic LP, but so many people play LP and there's so much "canned" stuff for LP that its just really easy to set up.

Moo, however, forces you to build a great deal.  Therefore, I suspect that Moos
are only even considered by people who know that in N months time the 
computer resources that house the Moo will still be around.

We have been building the GodNet for almost 6 months now, maybe a little
longer.  It is an immenently tedious process (recently made less so by the
acquisition of the emacs moo client :) ), but probably worth it in the long 
run.  We are just about to open (in 1 week, so we've planned).

Fortunately, it appears that Moo is fairly kind to the machine it is running
on, only demanding, at intervals, a great deal of memory to back itself up 
(by great deal I mean an entire copy of the db to write to disk).

-- 
Clay W. Luther                  [email-masked]
System Manager                  Center for Network Neuroscience
University of North Texas       PO Box 5218 Denton, Texas 76203
817/565-3896,3472               aka. Malraux@GodNet (Bushashuru!)